Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs12
Class CertBag

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs12.CertBag

All Implemented Interfaces:
  ASN1Value

public class CertBag
extends java.lang.Object
implements ASN1Value

A PKCS #12 cert bag.

Nested Class Summary
`static class` | `CertBag.Template` A Template class for decoding CertBags from their BER encoding.

Field Summary
`private ANY` | `cert`
`private static OBJECT_IDENTIFIER` | `CERT_TYPES`
`private OBJECT_IDENTIFIER` | `certType`
`static OBJECT_IDENTIFIER` | `SDSI_CERT_TYPE`
`private SEQUENCE` | `sequence`
`private static Tag` | `TAG`
`private static CertBag.Template` | `templateInstance`
`static OBJECT_IDENTIFIER` | `X509_CERT_TYPE`

Constructor Summary
`private` | `CertBag()`
`` | `CertBag(OBJECT_IDENTIFIER certType, ASN1Value cert)` Creates a CertBag from a type and a cert.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`ANY` | `getCert()` Returns the cert field of the CertBag.
`OBJECT_IDENTIFIER` | `getCertType()` Returns the certType field of the CertBag.
`ASN1Value` | `getInterpretedCert()` Returns the cert field of the CertBag based on its type.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static CertBag.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CERT_TYPES

    private static final OBJECT_IDENTIFIER CERT_TYPES

### X509_CERT_TYPE

    public static final OBJECT_IDENTIFIER X509_CERT_TYPE

### SDSI_CERT_TYPE

    public static final OBJECT_IDENTIFIER SDSI_CERT_TYPE

### certType

    private OBJECT_IDENTIFIER certType

### cert

    private ANY cert

### sequence

    private SEQUENCE sequence

### TAG

    private static final Tag TAG

### templateInstance

    private static final CertBag.Template templateInstance

Constructor Detail

### CertBag

    private CertBag()

### CertBag

    public CertBag(OBJECT_IDENTIFIER certType,
                   ASN1Value cert)

  Creates a CertBag from a type and a cert.

Method Detail

### getCertType

    public OBJECT_IDENTIFIER getCertType()

  Returns the certType field of the CertBag. Currently defined types are:
  - X509Certificate (`X509_CERT_TYPE`)
  - SDSICertificate (`SDSI_CERT_TYPE`)

### getCert

    public ANY getCert()

  Returns the cert field of the CertBag.

### getInterpretedCert

    public ASN1Value getInterpretedCert()
                                 throws InvalidBERException

  Returns the cert field of the CertBag based on its type.
  - If the type is `X509_CERT_TYPE`, returns and OCTET_STRING which is the DER-encoding of an X.509 certificate.
  - If the type is `SDSI_CERT_TYPE`, returns an IA5String.
  - For all other types, returns an ANY.

  Throws:
    `InvalidBERException` - If the cert is not encoded correctly.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static CertBag.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD